Sign me up Login

Details about package smlnj

Name: smlnj (PTS)
Uploader: Fabian Wolff <fabi.wolff@arcor.de> (Debian QA page)
Description: smlnj - Standard ML of New Jersey interactive compiler
smlnj-doc - Documentation for Standard ML of New Jersey
smlnj-runtime - Standard ML of New Jersey runtime system
libsmlnj-smlnj - Useful libraries for Standard ML of New Jersey
ml-lex - Lexical analyzer generator for Standard ML
ml-yacc - Parser generator for Standard ML
ml-burg - Code generator for Standard ML
libpgraphutil-smlnj - Portable graph utility library for SML Compilation Manager
libcml-smlnj - Concurrent ML extension of SML
libcmlutil-smlnj - Concurrent ML utility library
libexene-smlnj - Concurrent ML library for the X Window System
libckit-smlnj - SML library for parsing and type-checking C programs
libmlnlffi-smlnj - No Longer Foreign Function Interface
ml-nlffigen - ML generator for C glue code
libmlrisctools-smlnj - Library for generating MLRISC modules
nowhere - Translates programs from an extended Standard ML to Standard ML
ml-lpt - SML/NJ language processing tools

Package uploads

Upload #1

Information

Version: 110.98.1-1
Uploaded: 2020-11-24 16:58
Source package: smlnj_110.98.1-1.dsc
Distribution: unstable
Section: devel
Priority: optional
Homepage: https://www.smlnj.org/
Vcs-Git: https://salsa.debian.org/debian/smlnj.git
Vcs-Browser: https://salsa.debian.org/debian/smlnj
Closes bugs: #796661

Changelog

 smlnj (110.98.1-1) unstable; urgency=medium
 .
   * QA upload.
 .
   [ Debian Janitor ]
   * Trim trailing whitespace.
   * Use secure URI in debian/watch.
   * Use secure URI in Homepage field.
   * Bump debhelper from old 9 to 12.
 .
   [ Fabian Wolff ]
   * New upstream release.
   * Adjust documentation file paths in doc-base files (changed in
     compat 11).
   * Upgrade to debhelper compat level 13.
   * Upgrade to Standards-Version 4.5.1.
   * Drop gcc-multilib package from build dependencies as upstream now
     supports building for amd64 (Closes: #796661).
   * Drop NLFFI packages for amd64. They never should have been built on
     this platform; upstream just relatively recently added support for
     amd64 (until then, 32-bit builds were shipped in the amd64 package),
     and the NLFFI packages don't work on amd64 yet.
   * Enable autopkgtests and add factorial-test.
   * Add patch 'buildflags' to make sure the flags given by
     dpkg-buildflags are actually used.

QA information

Comments

No comments